#pragma once


// CPPgFiles2-Dialogfeld

class CPPgFiles2 : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgFiles2)

public:
	CPPgFiles2();
	virtual ~CPPgFiles2();
	void Localize(void);

// Dialogfelddaten
	enum { IDD = IDD_PPG_FILES2 };

protected:
//==> Dropping [shadow2004]
	CSliderCtrl		m_ctlDropTimerNNP;
	CSliderCtrl		m_ctlDropTimerFQ;
	CSliderCtrl		m_ctlDropTimerQP;
//<== Dropping [shadow2004]
//==> Nicehash by CB Mod [shadow2004]
	CSliderCtrl		m_ctlNiceHash;
//<== Nicehash by CB Mod [shadow2004]
	virtual void	DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Unterstützung
	virtual BOOL	OnInitDialog();
	void			LoadSettings(void);
	virtual BOOL	OnApply();

	DECLARE_MESSAGE_MAP()
	afx_msg void OnSettingsChange()					{ SetModified(); }

private:
	enum eTab	{NONE, Files1,Files2};
	CTabCtrl	m_tabCtr;
	eTab		m_currentTab;
	CImageList	m_imageList;
	void		SetTab(eTab tab);
	
public:
	void	InitTab(bool firstinit, int Page = 0);
	afx_msg void OnTcnSelchangeTabFiles2(NMHDR *pNMHDR, LRESULT *pResult);

	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
//==> Dropping [shadow2004]
	afx_msg void OnBnClickedNNP();
	afx_msg void OnBnClickedFQ();
	afx_msg void OnBnClickedQP();
	afx_msg void OnEditQPValue();
//<== Dropping [shadow2004]
};
